[Fusionforge-commits] FusionForge branch 6.0 updated. v6.0.3-46-gad64a4e

Sylvain Beucler beuc-inria at libremir.placard.fr.eu.org
Fri Nov 27 12:32:43 CET 2015


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, 6.0 has been updated
       via  ad64a4e2b3f0e31a805c26f1991fd888427c2052 (commit)
      from  16a70f3ed60f65a91c9367080467c77d26c618ba (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://scm.fusionforge.org/anonscm/gitweb/?p=fusionforge/fusionforge.git;a=commitdiff;h=ad64a4e2b3f0e31a805c26f1991fd888427c2052

commit ad64a4e2b3f0e31a805c26f1991fd888427c2052
Author: Sylvain Beucler <sylvain.beucler at inria.fr>
Date:   Fri Nov 27 12:32:25 2015 +0100

    testsuite: properly export PGPASSFILE under Debian

diff --git a/tests/func_tests.sh b/tests/func_tests.sh
index 57422e5..4e6e99f 100755
--- a/tests/func_tests.sh
+++ b/tests/func_tests.sh
@@ -103,12 +103,17 @@ EOF
 fixup_nss() {
     conf=''
     case $INSTALL_OS in
-	debian*) conf='/etc/apache2/envvars' ;;
-	centos*) conf='/etc/sysconfig/httpd' ;;
+        debian*)
+            if ! grep -q '^export PGPASSFILE' /etc/apache2/envvars; then
+                echo 'export PGPASSFILE=' >> /etc/apache2/envvars
+            fi
+            ;;
+        centos*)
+            if ! grep -q '^PGPASSFILE' /etc/sysconfig/httpd; then
+                echo 'PGPASSFILE=' >> /etc/sysconfig/httpd
+            fi
+            ;;
     esac
-    if ! grep -q PGPASSFILE $conf; then
-	echo 'PGPASSFILE=' >> $conf
-    fi
 }
 
 fixup_nss

-----------------------------------------------------------------------

Summary of changes:
 tests/func_tests.sh | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list